data_bound_samples_create
const url = 'https://example.com/api/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/bound_samples';const options = { method: 'POST', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"sample":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","data":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","datalink":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/bound_samples \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --data '{ "sample": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "data": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "datalink": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Create a new sample bound data object.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Header Parameters
Section titled “Header Parameters”Workspace ID
Request Bodyrequired
Section titled “Request Bodyrequired”Serialize data bound to a sample.
object
Retrieve the title attribute from the sample object.
Parameters
obj : SampleBoundData The object containing the sample with a title attribute.
Returns
str The title of the sample.
Return the interactor information of the object’s creator.
Parameters
obj : SampleBoundData The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : SampleBoundData The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example generated
{ "sample": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "data": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "datalink": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Serialize data bound to a sample.
object
Retrieve the title attribute from the sample object.
Parameters
obj : SampleBoundData The object containing the sample with a title attribute.
Returns
str The title of the sample.
Return the interactor information of the object’s creator.
Parameters
obj : SampleBoundData The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : SampleBoundData The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example generated
sample=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0&data=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0&datalink=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Serialize data bound to a sample.
object
Retrieve the title attribute from the sample object.
Parameters
obj : SampleBoundData The object containing the sample with a title attribute.
Returns
str The title of the sample.
Return the interactor information of the object’s creator.
Parameters
obj : SampleBoundData The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : SampleBoundData The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Responses
Section titled “Responses”Serialize data bound to a sample.
object
Retrieve the title attribute from the sample object.
Parameters
obj : SampleBoundData The object containing the sample with a title attribute.
Returns
str The title of the sample.
Return the interactor information of the object’s creator.
Parameters
obj : SampleBoundData The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : SampleBoundData The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example generated
{ "sample": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "data": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "datalink": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Serialize data bound to a sample.
object
Retrieve the title attribute from the sample object.
Parameters
obj : SampleBoundData The object containing the sample with a title attribute.
Returns
str The title of the sample.
Return the interactor information of the object’s creator.
Parameters
obj : SampleBoundData The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : SampleBoundData The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example generated
{ "sample": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "data": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "datalink": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}object
object
Example
{ "code": "query_validation_error", "message": "Invalid query parameters. Check the `details` property for more details.", "details": [ { "parameter": "data", "code": "does_not_exist", "message": "\"<data_value>\" is not a valid UUID." } ]}object
object
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "node", "code": "not_allowed", "message": "The member's role does not allow creation." } ]}
